package com.vasilz.nytnews;

import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLConnection;

import org.codehaus.jackson.JsonFactory;
import org.codehaus.jackson.map.DeserializationConfig;
import org.codehaus.jackson.map.ObjectMapper;

public class NYTConnector {
	
	private static final String NEWSWIRE_API_KEY = "f4c789dbc55874ee5354c57553247c5e:10:64325993";
	
	public static final int itemsPerRequest = 1000;
	
	//get all news from all sources (NYT and The International Herald Tribune)
	private static final String requestURL = 
		"http://api.nytimes.com/svc/news/v3/content/all/all.json?"+
								"&limit=" + itemsPerRequest +
								"&api-key=" + NEWSWIRE_API_KEY; 
								
	
	
	
	//index news directly, don't keep them in memory
	public void indexNews() {
		try {
			URL url = new URL(requestURL);
			URLConnection conn = url.openConnection();
			InputStream responseIS = conn.getInputStream();
			ObjectMapper om = new ObjectMapper();
			om.getDeserializationConfig().disable(DeserializationConfig.Feature.FAIL_ON_UNKNOWN_PROPERTIES);
			NYTResponse parsedResponse = om.readValue(responseIS, NYTResponse.class);
			System.out.println(parsedResponse);
			System.out.println("news found: " + parsedResponse.getResults().size());
			Indexer indexer = new Indexer(Util.LUCENE_INDEX_DIR);
			indexer.index(parsedResponse.getResults());
			responseIS.close();
		} catch (MalformedURLException e) {
			e.printStackTrace();
			return;
		} catch (IOException e) {
			e.printStackTrace();
			return;
		}
	}



	private String getAsString(InputStream is) throws IOException {
		StringBuffer buf = new StringBuffer();
		int b;
		while ((b = is.read()) != -1) {
			buf.append((char)b);
		}
		return buf.toString();
	}

}
