package com.vasilz.nytnews;

import java.io.File;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.List;

public class Util {
	
	public static final File LUCENE_INDEX_DIR = new File("NYT-lucene");
	
	public static final SimpleDateFormat LUCENE_DATE_FORMAT = 
		new SimpleDateFormat("EEE MMM dd hh:mm:ss zzzz yyyy");
	
	public static String getNullSafeString(String s) {
		if (s == null) {
			s = "";
		}
		return s;
	}
	
	@SuppressWarnings("rawtypes")
	public static List getNullSafeList(List ls) {
		if (ls == null) {
			return new ArrayList();
		}
		return ls;
	}
	
	//TODO ensure each keyword contains only letter characters
	public static String toSpaceDelimitedList(List<String> list) {
		if (list == null || list.isEmpty()) {
			return "";
		}
		StringBuffer buf = new StringBuffer();
		for (String str : list) {
			buf.append(str).append(" ");
		}
		buf.deleteCharAt(buf.length()-1);
		return buf.toString();
	}

}
